Name: opusfile
Version: 0.4
Release: %mkrel 2
Summary: A high-level API for decoding and seeking within .opus files
Group: System/Libraries
License: BSD
URL: http://www.opus-codec.org/
Source0: http://downloads.xiph.org/releases/opus/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(ogg) >= 1.3
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(opus) >= 1.0.1

%description
libopusfile provides a high-level API for decoding and seeking 
within .opus files. It includes:
* Support for all files with at least one Opus stream (including
multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API (allowing chained files to be
decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S)
(including seeking).
* Support for both random access and streaming data sources.

%define major 0
%define libname %mklibname %name %major

%package -n %libname
Summary: A high-level API for decoding and seeking within .opus files
Group: System/Libraries

%description -n %libname
libopusfile provides a high-level API for decoding and seeking
within .opus files. It includes:
* Support for all files with at least one Opus stream (including
multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API (allowing chained files to be
decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S)
(including seeking).
* Support for both random access and streaming data sources.

%define develname %mklibname -d %{name}

%package -n %{develname}
Summary: Development package for %{name}
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}

%description -n %{develname}
Files for development with %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -n %{libname}
%doc COPYING AUTHORS
%{_libdir}/libopus*.so.%{major}
%{_libdir}/libopus*.so.%{major}.*

%files -n %{develname}
%doc %{_docdir}/%{name}
%{_includedir}/opus/opusfile*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libopus*.so


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4-2.mga4
+ Revision: 533957
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 fwang <fwang> 0.4-1.mga4
+ Revision: 475862
- update file list
- new version 0.4

* Sun Jul 21 2013 fwang <fwang> 0.2-1.mga4
+ Revision: 456745
- convert to mageia style
- imported package opusfile


* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 14 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.2-1
- Update to 0.2

* Sun Nov  4 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.1-1
- Initial package
